HttpRequest::getHeaders
HttpRequest::getMethod
HttpRequest
PHP Manual

# HttpRequest::getHistory

(PECL pecl_http >= 0.15.0)

HttpRequest::getHistory — Get history

### Description

public HttpMessage HttpRequest::getHistory ( void )

Get all sent requests and received responses as an HttpMessage object.

If you want to record history, set the instance variable HttpRequest::recordHistory to `TRUE`.

The returned object references the last received response, use HttpMessage::getParentMessage() to access the data of previously sent requests and received responses.

### Return Values

Returns an HttpMessage object representing the complete request/response history.

### Errors/Exceptions

Throws HttpRuntimeException.

HttpRequest::getHeaders
HttpRequest::getMethod
HttpRequest
PHP Manual